Saturday, December 6, 2008

running eclipse with Java 6 on mac

mac book comes with Java 5 pre installed, so once you upgrade to Java 6 you will have trouble running eclipse since eclipse by default looks for Java 5. So to run eclipse with Java 6 you need to edit Info.plist file located somewhere around

/Applications/ganymede/Eclipse.app/Contents

so open Info.plist in your favourate editor and uncomment the line to enable eclipse to use Java 5 installation. See the snapshot

No comments :